<%--
  Created by IntelliJ IDEA.
  User: Administrator
  Date: 2020/9/11
  Time: 12:54
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page import="java.sql.Connection" %>
<%@ page import="java.util.*" %>
<%@ page import="com.censoft.common.db.ConnectionFactory" %>
<%@ page import="com.censoft.common.base.Pub" %>
<%
    ConnectionFactory cf = new ConnectionFactory();
    Pub pub = new Pub();
    Connection conn = null;
    Vector v_list = null;
    String page_number = pub.trimNull(request.getParameter("page_number"));
    if ("".equals(page_number)) page_number = "1";
    String page_size = pub.trimNull(request.getParameter("page_size"));
    if ("".equals(page_size)) page_size = "10";
    String div_id = pub.trimNull(request.getParameter("div_id"));
    String info_type = pub.trimNull(request.getParameter("info_type"));
    List list_s = new ArrayList();
    try {
        StringBuffer sb = new StringBuffer();
        sb.append("select * from basic_info_data where info_type=? ");
        list_s.add(info_type);
        sb.append(" order by add_time desc");
        conn = com.censoft.db.DBUtil.getConnection();
        v_list = cf.doPageQueryWithCount(conn, sb.toString(), page_number, page_size, null, list_s.toArray());
        if (v_list == null) {
            out.println("查询基础信息出错" + cf.getMsg());
            return;
        }
    } catch (Exception e) {
        out.println("查询基础信息异常" + e);
        return;
    } finally {
        if (conn != null) {
            try {
                conn.close();
            } catch (Exception e) {
            }
        }
    }
    Hashtable ht_row = (Hashtable) v_list.get(0);
    String rowCnt = pub.trimNull((String) ht_row.get("ROWCOUNT"));
    String pageCnt = pub.trimNull((String) ht_row.get("PAGECOUNT"));
%>

<div class="table-list">
    <table class="table  table-hover table-bg">
        <thead>
        <tr class="text-c">
            <th width="30px">序号</th>
            <th width="150px">名称</th>
            <th width="150px">编号</th>
            <th width="150px">楼号</th>
            <th width="150px">楼层</th>
            <th width="150px">房间号</th>
        </tr>
        </thead>
        <tbody>
        <%
            if (v_list != null && v_list.size() > 0) {
                for (int i = 1; i < v_list.size(); i++) {
                    Hashtable ht = (Hashtable) v_list.get(i);
                    String id = pub.trimNull((String) ht.get("id"));
                    String info_name_view = pub.trimNull((String) ht.get("info_name"));
                    String bianhao_view = pub.trimNull((String) ht.get("bianhao"));
                    String floor_view = pub.trimNull((String) ht.get("floor"));
                    String build_number_view = pub.trimNull((String) ht.get("build_number"));
                    String room_number_view = pub.trimNull((String) ht.get("room_number"));
        %>
        <tr <%if(i%2==0){%>id="tr_doub"<%}else{%>id="tr_single"<%}%> class="text-c">
            <td><%=i%>
            </td>
            <td>
                <a style="color:blue;" onclick="select_jf('<%=div_id%>','<%=id%>','<%=info_name_view%>')" href="javascript:void(0)"><%=info_name_view%></a>
            </td>
            <td><%=bianhao_view%>
            </td>
            <td><%=build_number_view%>
            </td>
            <td><%=floor_view%>
            </td>
            <td><%=room_number_view%>
            </td>
        </tr>
        <%
                }
            }
        %>
        </tbody>
    </table>
</div>
<jsp:include page="/common/page_ajax.jsp" >
    <jsp:param name="page_number" value="<%=page_number%>" />
    <jsp:param name="rowCnt" value="<%=rowCnt%>" />
    <jsp:param name="page_size" value="<%=page_size%>" />
</jsp:include>